Slackware x64 - winecfg nie otwiera się, za stary Glibc


(system) #1

Witam. Ściągnołem Wine ze strony producenta i zainstalowałem, jednak kiedy chce przejść do konfiguracji jego wyskakuje mi taki błąd

bash-3.1# winecfg

/usr/bin/wine: /usr/bin/../lib/libwine.so.1: no version information available (required by /usr/bin/wine)

wine: Your C library is too old. You need at least glibc 2.3 with NPTL support.

Zabrałem się za instalowanie Glibc 2.11 najnowszej wersji, i kiedy wydaje polecenie "./configure" to wyskakuje mi taki błąd

bash-3.1# cd /usr/bin/glibc-2.11/

bash-3.1# ./configure

checking build system type... x86_64-unknown-linux-gnu

checking host system type... x86_64-unknown-linux-gnu

checking for gcc... gcc

checking for suffix of object files... o

checking whether we are using the GNU C compiler... yes

checking whether gcc accepts -g... yes

checking for gcc option to accept ISO C89... none needed

checking how to run the C preprocessor... gcc -E

checking for g++... g++

checking whether we are using the GNU C++ compiler... yes

checking whether g++ accepts -g... yes

configure: error: you must configure in a separate build directory

utworzyłem folder /usr/bin/glibc-build a dalej nie wiem co zrobić :? może ktoś pomóc??


(Marcinch7) #2

Niema Wine lub Glibc w repo?

Poza tym Wine prosi o Glibc 2.3 a ty dajesz 2.1


(system) #3

Wine w repo nie szukałem ale i tak żeby działało to muszę mieć Glibc, a Glibc nie ma w repo :frowning:

Wine prosi o Glibc 2.3 a ja mu daje 2.11 czyli wersje która jest nowsza i tez zawiera paczki z 2.3, ale nawet wersje 2.3 próbowałem instalować i to samo jest:wink:


(mati75) #4

Nie ma repo z wine dla Slackware.


(Phanyx) #5

[dygresja] Dokładnie, nadawanie wersji odbywa się wbrew zasadom matematyki; też się na to kiedyś nadziałem. 2.11 > 2.3 [/dygresja]

Pozdrawiam


(system) #6

Udało mi się uruchomić instalowanie Glibc-2.11 jednak się okazało że on nie działa na x84_64 :-(, więc zacząłem poszukiwania wersji Glibc-2.11x84_64 jednak znalazłem tylko instalke .rpm Zmieniam Slackware na 32bit bo na 64bit mało programów działa. Po zmianie zainstaluje Glibc i wszystko powinno ładnie działać :smiley:

13.1.2010

Zainstalowałem wersje zwykłą Slackware i problem od razu się rozwiązał :smiley: wine bez żadnych błędów się zainstalowało :wink: tak samo z glibc i wszystko ładnie działa. Więc ja szczerze nie polecam wersji Slackware x64, bo są z nią same problemy.

Zamykam temat